getPanelAgentCurrentChatEmotion(params: GetPanelAgentCurrentChatEmotionParams)
Requires:
@tuya-miniapp/cloud-api≥1.0.6
Description
Get the current chat mood.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request body |
Return Value
Type: Promise<GetPanelAgentCurrentChatEmotionResult>
GetPanelAgentCurrentChatEmotionResult (see type definitions and minituya return parameters for field meanings)
Referenced Types
type
GetPanelAgentCurrentChatEmotionResult| Property | Type | Description |
|---|---|---|
emotionOpen | boolean | Whether mood is enabled |
emotion | string | Mood |
text | string | Text |
url | string | Image URL |
gmtCreate | number | Creation time |
gmtModified | number | Update time |